var dotNETRuntimeVersion = "2.0.50727";

function HasRuntimeVersion(versionToCheck)
{
  var userAgentString = navigator.userAgent.match(/.NET CLR [0-9.]+/g);

  if (userAgentString != null)
  {
    var i;

    for (i = 0; i < userAgentString.length; ++i)
    {
      if (CompareVersions(GetVersion(versionToCheck), GetVersion(userAgentString[i])) <= 0)
        return true;
    }
  }

  return false;
}

function GetVersion(versionString)
{
  var numericString = versionString.match(/([0-9]+)\.([0-9]+)\.([0-9]+)/i);
  return numericString.slice(1);
}

function CompareVersions(version1, version2)
{
  for (i = 0; i < version1.length; ++i)
  {
    var number1 = new Number(version1[i]);
    var number2 = new Number(version2[i]);

    if (number1 < number2)
      return -1;

    if (number1 > number2)
      return 1;
  }

  return 0;
}

function Test()
{
    if(navigator.appName == "Microsoft Internet Explorer")
    {
        if(HasRuntimeVersion(dotNETRuntimeVersion))
        {
            document.write("<span style='color: Green'>" +
                           "The right version of <strong>.NET Framework</strong> has been found.<br />" +
                           "The program can work on your computer smoothly.</span>");
        }
        else
        {
            document.write("<span style='color: Red'>" +
                           "<strong>Microsoft .NET Framework 2.0</strong> is not installed in your computer!<br />" +
                           "Please read the system requirements!</span>");
        }
    }
    else
    {
        document.write("<span style='color: Blue'>" +
                       "In order to check your computer,<br />" +
                       "please reload this page in <strong>Microsoft Internet Explorer</strong>!</span>");
    }
}

document.write("<p style='background-color: Yellow; border: solid 2px silver; padding: 5px; width: 40em; margin: 0px auto; display: inline-block; text-align: center; text-indent: 0'>");
document.write("<strong>System Requirements Check</strong><br />");

Test();

document.write("</p>");
